﻿using LoongCAD.Geometry;
using LoongCAD.STC;

namespace Example_ConnectionComponent1.Handlers
{
    internal class WeldHandler
    {
        private readonly ComponentInstanceContext m_context = null;
        private readonly ParamsHandler m_paramsHandler = null;
        public WeldHandler(ComponentInstanceContext context, ParamsHandler paramsHandler)
        {
            //初始化参数
            m_context = context;
            m_paramsHandler = paramsHandler;
        }
        public void Execute()
        {
            //焊缝示例代码(焊缝属性的初始化，和创建，被集成到了ComponentInstanceContext组件公用类中)：
            //1.创建自动焊缝
            m_context.CreateWeld("weld1", m_context.MainPart, m_context.Beam_Part, Define.SpaceAxis.AXIS_NX, 0);
            //2.创建自动焊缝
            m_context.CreateWeld("weld2", m_context.MainPart, m_context.Beam_Part, m_context.Normal_right, 1);
            //3.创建多边形焊缝
            m_context.CreateWeld("weld3", m_context.MainPart, m_context.Beam_Part, new Vec3[]
            { m_context.Beam_Part.CtrlPoints[0].WorldPos, m_context.Beam_Part.CtrlPoints[1].WorldPos }, 2);
        }
    }
}
